Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571109 - Add OpenVPN lz4 compression support to nm-connection-editor
Summary: Add OpenVPN lz4 compression support to nm-connection-editor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 06:25 UTC by Marc Muehlfeld
Modified: 2020-11-24 17:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:37:39 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 777768 0 Normal RESOLVED [RFE] add "compress" option (lz4) 2021-02-15 16:22:33 UTC

Description Marc Muehlfeld 2018-04-24 06:25:30 UTC
Description of problem:
Currently, nm-connection-editor only allows users to enable LZO compression (comp-lzo=yes|no) on the client side. Since version 2.4, OpenVPN supports LZ4 compression (compress=lz4). Please add support for this feature in nm-connection-editor.



Version-Release number of selected component (if applicable):
nm-connection-editor-1.8.10-2.fc28.2.x86_64



How reproducible:
Always



Steps to Reproduce:
1. Open "nm-connection-editor"
2. Create/edit an OpenVPN connection
3. Go to the "VPN" tab
4. Click the "Advanced" button



Actual results:
There's only a check box for comp-lzo=yes|no, but not for LZ4 compression. Connections to OpenVPN 2.4 servers which use compress=lz4 fail.



Expected results:
A config option for LZ4 compression should be added.



Additional info:
Workaround for those who want to connect to a server that uses compress=lz4: Start the connection from the command line using the "openvpn" command. You must pass a client config file for the connection to the command (--config /path/to/config_file).

Comment 1 Thomas Haller 2018-04-24 07:09:06 UTC
see also upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=777768

It's not only a missing feature in the GUI. The core NetworkManager-openvpn plugin doesn't support lz4.

Comment 2 Ben Cotton 2019-05-02 21:54:16 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Marc Muehlfeld 2019-05-03 06:43:09 UTC
LZ4 compression in nm-connection-editor is still missing in Fedora 30. I changed the version of this ticket to "30".

Comment 4 tibyke 2019-07-10 13:30:09 UTC
any update on this guys?
maybe a workaround or a way to add supplementary openvpn arguments (--compress lz4) somehow?
now I'm using a script with /usr/sbin/openvpn.orig --compress lz4 "$@" as /usr/sbin/openvpn but that's very lame!

Comment 5 Steven Pritchard 2020-02-21 00:39:42 UTC
This issue is still present in Fedora 31.

Comment 6 Ben Cotton 2020-11-03 15:00:37 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Marc Muehlfeld 2020-11-03 15:19:22 UTC
nm-connection-editor in Fedora 33 supports LZ4 and LZ4 v2.

I think this ticket can now be closed.

Comment 8 Ben Cotton 2020-11-24 17:37:39 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.